#ifndef	__JPEG_H__
#define	__JPEG_H__
//*******************************************************
//
//	MP3 Player in SEGA Visual Memory
//
//	JPEGビューア部分
//
//	ATmega1284p
//		efuse:0xFD	BOD 2.7V
//		hfuse:0xD1	JTAG禁止, EEPROM消去保護
//		lfuse:0xE2	内蔵CR発振 8MHz
//
//	Compiler:	AVR-GCC		4.3.5
//				AVR-LIBC	1.6.8
//				binutils	2.20
//
//	2012.6.16	KAWAKAMI Yukio
//*******************************************************

#include	"integer.h"
#include	"tjpgd.h"

void job_jpeg(void);
ushort search_jpeg_file(ushort num, FILINFO *file);

char load_jpeg(char *fname);
UINT tjd_input(JDEC *jd, BYTE *buff, UINT nd);
UINT tjd_output(JDEC *jd, void *bitmap, JRECT *rect);

#endif	// __JPEG_H__
